Subject: Re: roadmap

From: Peter Sylvester <[email-masked]>
Date: Mon, 22 Apr 2002 17:03:24 +0200 (MET DST)

> 
> Peter,
> 
> I'll make the changes noted below.

Good. 

> 
> To put the "is SCVP THE protocol" issue to bed.  Can we say that that was the plan
> before we heard that "OCSPv2 will not be pushed to informational and hence we are not in
> the situation to have a defined set of requirements that enables selection of one from
> among potentially several technical approaches." (words from Mike Myers)?

Somehow everybody seems to have forgotten DVCS as a potential protocol
for "DPV". Thus, it is not just a question of whether OCSP v2 being
alive or not. 

There may have been 'a plan' by some people, but 'the plan' 
agreed by the WG?  It seems that Mike also had complained about 
the document being  somewhat misleading.

The second issue is that DVCS was not mentioned in the history concerning
this 'problem space of certificate validation'. The text below tries to
remedy this describing the three existing protocol specifications that
address more or less different aspects.  The definitions of the
protocols is necessarily incomplete since only the overlapping
parts are outlined.  

> In order to more correctly reflect history I propose on page 7:
>
>
>    protocol. [OCSP] was developed to address concerns that not all
>    relying parties want to go through the process checking CRLs from
>    every CA in the certification path. It defines an on-line mechanism
>    to determine the status of a given certificate, which may provide
>    more timely revocation information than is possible with CRLs.
>
>    [DVCS] also contains a service to determine the validity of
>    public key certificate using a TTP permitting to present the result
>    of the verification as evidence in a non repudiation context.
>
>    Another approach allowing relying parties to off-load all of
>    their certification verification to another entity is with the
>    Simple Certification Verification Protocol (SCVP), for which a
>    draft exists [SCVP].

Peter